---
AWSTemplateFormatVersion: '2010-09-09'
Description: Creates Customer Gateways

Resources:
{% for name, cgw in cgws.items() %}
  {{ name|replace(' ', '') }}Gateway:
    Type: "AWS::EC2::CustomerGateway"
    Properties:
      Type: ipsec.1
      BgpAsn: {{ cgw.asn | default('!Ref AWS::NoValue') }}
      IpAddress: {{ cgw.gateway_ip }}
      Tags:
        - Key: Name
          Value: {{ name }}
{% endfor %}

Outputs:
{% for name, cgw in cgws.items() %}
  {{ name|replace(' ', '') }}Gateway:
    Value: !Ref {{ name|replace(' ', '') }}Gateway
    Export:
      Name: !Sub "${AWS::StackName}-{{ name|replace(' ', '') }}Gateway"
{% endfor %}
